Cognex Mobile Barcode SDK SDK for supporting communication with Cognex Barcode Reader devices

Instance Methods | Class Methods | Static Public Attributes | List of all members
CDMEADiscoverer Class Reference

Helper class for discovering Cognex DMCC protocol compatible accessories. More...

`#import <CDMEADiscoverer.h>`

Inheritance diagram for CDMEADiscoverer:

## Instance Methods
(NSArray *) | - compatibleAccessories
| Returns the currently connected compatible accessories. More...
(void) | - startDiscovery
| Starts device discovery. More...
(void) | - stopDiscovery
| Stops device discover.

## Class Methods
(id) | + sharedDiscoverer
| Returns the shared discoverer object. More...

## Static Public Attributes
static NSString *const | CDMCompatibleAccessoryConnected = @"@"cdmAccessoryConnected"
| Notification name for compatible accessory connected.
static NSString *const | CDMCompatibleAccessoryDisconnected = @"@"cdmAccessoryDisconnected"
| Notification name for compatible accessory disconnected.
static NSString *const | kCDMAccessory = @"@"accessory"
| Accessory parameter key in NSNotification userInfo dictionary.
static NSString *const | kCDMProtocol = @"@"protocol"
| Protocol parameter key in NSNotification userInfo dictionary.

## Detailed Description

Helper class for discovering Cognex DMCC protocol compatible accessories.

## Method Documentation

## ◆ compatibleAccessories

- (NSArray*) compatibleAccessories |  |  |

Returns the currently connected compatible accessories.

Returns
  an array of the connected accessories, can be empty

## ◆ sharedDiscoverer

+ (id) sharedDiscoverer |  |  |

Returns the shared discoverer object.

Returns
  shared discoverer instance

## ◆ startDiscovery

- (void) startDiscovery |  |  |

Starts device discovery.

To receive connection related notifications, register for CDMCompatibleAccessoryConnected/CDMCompatibleAccessoryDisconnected notifications.

The documentation for this class was generated from the following file:

- CDMEADiscoverer.h